DRM_MODESET_LEGACY_A(9)

NAME
drm_modeset_legacy_acquire_ctx - find acquire ctx for legacy ioctls

SYNOPSIS

struct drm_modeset_acquire_ctx * drm_modeset_legacy_acquire_ctx(struct drm_crtc * crtc);

ARGUMENTS

crtc
    drm crtc

DESCRIPTION

Legacy ioctl operations like cursor updates or page flips only have per-crtc locking, and store the acquire ctx in the corresponding crtc. All other legacy operations take all locks and use a global acquire context. This function grabs the right one.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT